package problems.example;

import ga.core.GAIndividual;
import ga.core.GAGene;
import ga.genes.SmallIntGene;

/**
 * <p/>
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version,
 * provided that any use properly credits the author.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details at http://www.gnu.org
 * </p>
 *
 * @author Olly Oechsle, University of Essex, Date: 21-May-2007
 * @version 1.0
 */
public class ExampleIndividual extends GAIndividual {

    public ExampleIndividual() {
        super(8);
        for (int i = 0; i < genes.length; i++) {
            genes[i] = new SmallIntGene();
        }
    }

    public double execute(Object o) {
        return genes[0].value;
    }

    public String toJava() {
        return String.valueOf(genes[0].value);
    }

}
